package com.apobates.forum.letterbox.impl.event;

import com.apobates.forum.letterbox.entity.proxy.ForumLetterReplica;
import org.springframework.context.ApplicationEvent;

/**
 * 信件创建事件
 *
 * @author xiaofanku
 * @since 20200527
 */
public class ForumLetterPostEvent extends ApplicationEvent {
    private static final long serialVersionUID = -4875399186422889558L;
    private final ForumLetterReplica letter;
    
    public ForumLetterPostEvent(Object source, ForumLetterReplica letter) {
        super(source);
        this.letter = letter;
    }
    
    public ForumLetterReplica getLetter() {
        return letter;
    }
}