package com.apobates.forum.member.impl.event;

import com.apobates.forum.member.entity.MemberVipExchangeRecords;
import org.springframework.context.ApplicationEvent;
/**
 * VIP会员交易事件
 *
 * @author xiaofanku
 * @since 20200921
 */
public class VipExchangeEvent extends ApplicationEvent {
    private final MemberVipExchangeRecords record;

    public VipExchangeEvent(Object source, MemberVipExchangeRecords record) {
        super(source);
        this.record = record;
    }

    public MemberVipExchangeRecords getRecord() {
        return record;
    }
}

