package com.apobates.forum.thrones.controller.helper;

import com.apobates.forum.event.elderly.ForumActionEnum;
import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 前端事件方法注解
 * 
 * @author xiaofanku
 * @since 20200607
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OnlineDescriptor {
    /**
     * 返回当前的操作枚举
     *
     * @return
     */
    public ForumActionEnum action() default ForumActionEnum.COMMON_CASUAL;
}